#1 bug in the 1.6.0 beta

closed-accepted
None
5
2004-02-28
2002-07-10
Anonymous
No

[00:50] TCL error [mel_action]: unmatched open brace
in list
[00:50] TCL error [mel_action]: unmatched open brace
in list
[00:50] TCL error [mel_action]: unmatched open brace
in list
[00:50] TCL error [mel_action]: unmatched open brace
in list

it comes from this line
[00:50:32] * Nette Playback ============>: /Great
White - Once Bitten, Twice Shy\ ş Length: /3:59\ [00:50:32] * Nette Playback ============>: /Great
White - Once Bitten, Twice Shy\ ş Length: /3:59\ [00:50:33] * Nette Playback ============>: /Great
White - Once Bitten, Twice Shy\ ş Length: /3:59\ [00:50:33] * Nette Playback ============>: /Great
White - Once Bitten, Twice Shy\ ş Length: /3:59\

hope you can fix it fast

regards
JH

Discussion

  • Logged In: NO

    i have been looking more into it... it looks like it only does it
    when color codes are in the sentense.... can't colors be
    stripped of so they don't make the faults ?

     
  • Logged In: YES
    user_id=186608

    It appears that this is caused by using notepad or wordpad to
    edit the script.
    Stripping out color codes is done in proc mel_strip
    But using notepad or wordpad changes the format of the file
    to DOS.
    Use UltraEdit to maintain the UNIX format.

     
    • assigned_to: nobody --> jules_74
    • status: open --> open-accepted
     
  • Jesper Hansen
    Jesper Hansen
    2003-05-06

    Logged In: YES
    user_id=689447

    it could wery well be the colors doing the problem...

    yes they should just be stripped off as you have no use for
    them.

    regards
    JH

     
  • Logged In: NO

    You should not use [join] command to remove spaces
    between text if that's your intention on the line:

    action {set mel_addline "\[$mel_time_current\] * $mnick [join
    $mel_stripped_arg]"}

    you should make a dirrefent proc that has does this regsub
    instead:

    regsub -all {^[ \t]+|[ \t]+$|([ \t]){2,}} $arg "\\1" arg

    It will remove all trailing spaces/tabs and all spaces/tabs
    between words.

    Be carefull when handling with lists!

    -- SNiLD

     
    • status: open-accepted --> closed-accepted